Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model
Interface QueryResultHandler

All Known Implementing Classes:
  XMLA_Result

    public interface QueryResultHandler

Query Result Processor

Method Summary
`void` | `handleAxis(java.lang.String axisName, int axisOrdinal)` handle Axis Tag, called for any axis
`void` | `handleAxisInfo(java.lang.String axisName, int axisNumber)` handle AxisInfo Tag, called for any AxisInfo
`void` | `handleCell(int iOrdinal, java.lang.Object value, java.lang.String fmtValue, java.lang.String fontSize)` handle Cell tag
`void` | `handleCellData()` handle CellData Tag
`void` | `handleHierInfo(java.lang.String hierName, int axisNumber, int number)` handle HierarchyInfo Tag, called for any AxisInfo,HierarchyInfo
`void` | `handleMember(java.lang.String uniqueName, java.lang.String caption, java.lang.String levUName, java.lang.String displayInfo, java.util.Map otherProps, int axisOrdinal, int positionOrdinal, int memberOrdinal)` handle Member Tag, called for any member, axis, Tuple
`void` | `handleTuple(int axisOrdinal, int positionOrdinal)` handle Tuple Tag, called for any axis, Tuple
`void` | `setDrillHeader(java.util.Map header)` holds data for the drillthrough header
`void` | `setDrillRows(java.util.List rows)` sets the results for a drillthrough (is an arraylist of map)

Method Detail

### handleAxisInfo

    void handleAxisInfo(java.lang.String axisName,
                        int axisNumber)

  handle AxisInfo Tag, called for any AxisInfo

### handleHierInfo

    void handleHierInfo(java.lang.String hierName,
                        int axisNumber,
                        int number)

  handle HierarchyInfo Tag, called for any AxisInfo,HierarchyInfo

### handleAxis

    void handleAxis(java.lang.String axisName,
                    int axisOrdinal)

  handle Axis Tag, called for any axis

### handleTuple

    void handleTuple(int axisOrdinal,
                     int positionOrdinal)

  handle Tuple Tag, called for any axis, Tuple

### handleMember

    void handleMember(java.lang.String uniqueName,
                      java.lang.String caption,
                      java.lang.String levUName,
                      java.lang.String displayInfo,
                      java.util.Map otherProps,
                      int axisOrdinal,
                      int positionOrdinal,
                      int memberOrdinal)

  handle Member Tag, called for any member, axis, Tuple

### handleCellData

    void handleCellData()

  handle CellData Tag

### handleCell

    void handleCell(int iOrdinal,
                    java.lang.Object value,
                    java.lang.String fmtValue,
                    java.lang.String fontSize)

  handle Cell tag

### setDrillHeader

    void setDrillHeader(java.util.Map header)

  holds data for the drillthrough header

  Parameters:
    `headerList` -

### setDrillRows

    void setDrillRows(java.util.List rows)

  sets the results for a drillthrough (is an arraylist of map)

  Parameters:
    `rows` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD